OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
ChangeBackgroundOp< TreeOrLeafManagerT > Class Template Reference

`#include <ChangeBackground.h>`

## Public Types
typedef TreeOrLeafManagerT::ValueType | ValueT
typedef TreeOrLeafManagerT::RootNodeType | RootT
typedef TreeOrLeafManagerT::LeafNodeType | LeafT

## Public Member Functions
| ChangeBackgroundOp (const TreeOrLeafManagerT &tree, const ValueT &newValue)
void | operator() (RootT &root) const
void | operator() (LeafT &node) const
template<typename NodeT >
void | operator() (NodeT &node) const

## Member Typedef Documentation

## ◆ LeafT

typedef TreeOrLeafManagerT::LeafNodeType LeafT

## ◆ RootT

typedef TreeOrLeafManagerT::RootNodeType RootT

## ◆ ValueT

typedef TreeOrLeafManagerT::ValueType ValueT

## Constructor & Destructor Documentation

## ◆ ChangeBackgroundOp()

ChangeBackgroundOp | ( | const TreeOrLeafManagerT & | tree,
|  | const ValueT & | newValue
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()() [1/3]

void operator() | ( | LeafT & | node | ) | const
| inline

## ◆ operator()() [2/3]

void operator() | ( | NodeT & | node | ) | const
| inline

## ◆ operator()() [3/3]

void operator() | ( | RootT & | root | ) | const
| inline

The documentation for this class was generated from the following file:

- ChangeBackground.h